Đến nội dung


Hình ảnh
- - - - -

Giúp đọc tên các đối tượng trong 1 block


  • Please log in to reply
2 replies to this topic

#1 hongtvtk

hongtvtk

    biết vẽ circle

  • Members
  • PipPip
  • 36 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 04 November 2010 - 09:33 AM

Các bác viết hộ em 1 sub trong đó đọc được tên(ObjectName) của các đối tượng trong 1 block với.
Ví dụ trong 1 bock gồm có 1 đường thẳng và 1 chữ thì sẽ đọc được ra tên của chúng là AcDbLine và AcDbText
Xin cảm ơn!
  • 0

#2 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1435 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 04 November 2010 - 11:10 AM

Các bác viết hộ em 1 sub trong đó đọc được tên(ObjectName) của các đối tượng trong 1 block với.
Ví dụ trong 1 bock gồm có 1 đường thẳng và 1 chữ thì sẽ đọc được ra tên của chúng là AcDbLine và AcDbText
Xin cảm ơn!

Lấy tên của các Entity trong Block

Sub SubEntity()

Dim oBlock As AcadBlock
Dim Ent As AcadEntity
Dim V, BlockEnt As AcadEntity
Dim str As String

ThisDrawing.Utility.GetEntity Ent, V, "Chon block:"

If TypeOf Ent Is AcadBlockReference Then

Set oBlock = ThisDrawing.Blocks(Ent.Name)

For Each BlockEnt In oBlock
str = str & BlockEnt.ObjectName & vbCr
Next BlockEnt

If str <> "" Then
MsgBox str
End If
Else
MsgBox "Khong phai block."
End If

End Sub

  • 2

#3 hongtvtk

hongtvtk

    biết vẽ circle

  • Members
  • PipPip
  • 36 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 04 November 2010 - 01:38 PM

Oa! Cảm ơn bác Gia_Bach!
  • 0